@import '../abstracts/variables';
@import '../abstracts/mixins';

.footer {
	width: 100%;
	background-color: $background-dark;
	padding: 38px 35px 47px;

	@media (min-width: $bp-medium) {
		padding-top: 57px;
		padding-bottom: 56px;
	}
	@media (min-width: $bp-medium) {
		padding-top: 66px;
		padding-bottom: 70px;
	}
}

.footer__container {
	text-align: center;

	@media (min-width: $bp-medium) {
		max-width: 685px;
	}
}

.footer__title {
	color: #FEFEFE;
	margin-bottom: 8px;

	@media (min-width: $bp-medium) {
		margin-bottom: 22px;
	}
}

.footer__info {
	font-size: 12px;
	line-height: 20px;
	color: $text-color-footer;
	margin-bottom: 26px;

	@media (min-width: $bp-medium) {
		font-size: 16px;
		line-height: 28px;
		margin-bottom: 37px;
	}
}

.social-icons {
	@include flex;
	gap: 6px;
	margin-bottom: 25px;

	&__rss {
		border-color: #F8902E;
	}
	&__facebook {
		border-color: #39599F;
	}
	&__twitter {
		border-color: #45B0E3;
	}
	&__dribbble {
		border-color: #D97AB0;
	}
	&__pinterest {
		border-color: #CC212C;
	}

	@media (min-width: $bp-medium) {
		margin-bottom: 34px;
	}
}

.footer__contacts {
	color: $text-color-footer;
	font-size: 14px;
	line-height: 24px;
	@include flex(center, center, column);
	gap: 5px;

	&-adress {
		position: relative;
		padding-right: 18px;

		&::after{
			content: '/';
			display: inline-block;
			position: absolute;
			right: 0;
		}
	}
	&-tel {
		@extend .footer__contacts-adress;
	}

	@media (min-width: $bp-medium) {
		font-size: 16px;
		line-height: 26px;
		flex-direction: row;
		gap:11px;
	}
}